%define majver %(echo %version | cut -d. -f1-2)
Name:          libwps
Version:       0.4.14
Release:       1mamba
Summary:       A library for importing the Microsoft Works word processor file format
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://libwps.sourceforge.net/
Source:        http://downloads.sourceforge.net/sourceforge/libwps/libwps-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: librevenge-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END

%description
A library (for use by word processors, for example) for importing the Microsoft Works word processor file format.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
A library (for use by word processors, for example) for importing the Microsoft Works word processor file format.

This package contains static libraries and header files need for development.

%package tools
Group:        Applications/Publishing
Summary:      Programs for manipulating Microsoft Works word processor files
Requires:     %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
A library (for use by word processors, for example) for importing the Microsoft Works word processor file format.
This package package contains various programs for manipulating WordPerfect format files.

%debug_package

%prep
%setup -q

%build
%configure
%make CPPFLAGS="-Wno-unused-local-typedefs"

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libwps-%{majver}.so.*
%doc CREDITS

%files devel
%defattr(-,root,root)
%{_libdir}/libwps-%{majver}.so
%dir %{_includedir}/libwps-%{majver}/libwps
%{_includedir}/libwps-%{majver}/libwps/*.h
%{_libdir}/pkgconfig/*.pc
%dir %{_docdir}/libwps
%{_docdir}/libwps/*
%doc README

%files tools
%defattr(-,root,root)
%{_bindir}/wks2csv
%{_bindir}/wks2raw
%{_bindir}/wks2text
%{_bindir}/wps2html
%{_bindir}/wps2raw
%{_bindir}/wps2text

%changelog
* Sat May 06 2023 Automatic Build System <autodist@mambasoft.it> 0.4.14-1mamba
- automatic version update by autodist

* Wed Nov 23 2022 Automatic Build System <autodist@mambasoft.it> 0.4.13-1mamba
- automatic version update by autodist

* Sun Sep 06 2020 Automatic Build System <autodist@mambasoft.it> 0.4.12-1mamba
- automatic version update by autodist

* Sat May 23 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.11-2mamba
- rebuilt with debug package

* Sun Apr 05 2020 Automatic Build System <autodist@mambasoft.it> 0.4.11-1mamba
- automatic version update by autodist

* Sat Aug 11 2018 Automatic Build System <autodist@mambasoft.it> 0.4.10-1mamba
- automatic version update by autodist

* Sun Apr 29 2018 Automatic Build System <autodist@mambasoft.it> 0.4.9-1mamba
- automatic version update by autodist

* Thu Dec 21 2017 Automatic Build System <autodist@mambasoft.it> 0.4.8-1mamba
- automatic version update by autodist

* Mon Aug 07 2017 Automatic Build System <autodist@mambasoft.it> 0.4.7-1mamba
- automatic version update by autodist

* Sat Apr 01 2017 Automatic Build System <autodist@mambasoft.it> 0.4.6-1mamba
- automatic version update by autodist

* Sun Jan 15 2017 Automatic Build System <autodist@mambasoft.it> 0.4.5-1mamba
- automatic version update by autodist

* Sat Oct 29 2016 Automatic Build System <autodist@mambasoft.it> 0.4.4-1mamba
- automatic version update by autodist

* Wed Feb 17 2016 Automatic Build System <autodist@mambasoft.it> 0.4.3-1mamba
- automatic version update by autodist

* Thu Oct 08 2015 Automatic Build System <autodist@mambasoft.it> 0.4.2-1mamba
- automatic version update by autodist

* Sat Aug 29 2015 Automatic Build System <autodist@mambasoft.it> 0.4.1-1mamba
- automatic version update by autodist

* Thu May 28 2015 Automatic Build System <autodist@mambasoft.it> 0.4.0-1mamba
- automatic version update by autodist

* Tue Dec 30 2014 Automatic Build System <autodist@mambasoft.it> 0.3.1-1mamba
- automatic version update by autodist

* Tue Jun 17 2014 Automatic Build System <autodist@mambasoft.it> 0.3.0-1mamba
- automatic version update by autodist

* Mon May 27 2013 Automatic Build System <autodist@mambasoft.it> 0.2.9-1mamba
- automatic version update by autodist

* Fri May 17 2013 Automatic Build System <autodist@mambasoft.it> 0.2.8-1mamba
- automatic version update by autodist

* Tue Dec 04 2012 Automatic Build System <autodist@mambasoft.it> 0.2.7-1mamba
- automatic version update by autodist

* Thu Oct 13 2011 Automatic Build System <autodist@mambasoft.it> 0.2.2-1mamba
- automatic version update by autodist

* Sun Nov 21 2010 Automatic Build System <autodist@mambasoft.it> 0.2.0-1mamba
- automatic update by autodist

* Wed Jul 29 2009 Automatic Build System <autodist@mambasoft.it> 0.1.2-1mamba
- automatic update by autodist

* Wed Aug 29 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.0-1mamba
- package created by autospec
